/*
*  Rubrica
*  file: import.h
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#ifndef _IMPORT_H
#define _IMPORT_H

#include "rubrica.h"

typedef enum {
  CVS = 0,
  GCARD,
  KCARD
} ImportFrom;

typedef enum {
  BEGIN = 0,
  VCARD, 
  FN,   N,
  REV,
  BDAY,
  ADR,  TEL,  EMAIL, URL, TZ,
  TITLE,  ORG, 
  CATEGORIES,  NOTE,    
  END,
  BAD
} TokenCard;

typedef enum {
  HOME = 0,
  WORK,  POSTAL,  PARCEL, DOM , INTL, PREF,
  VOICE, FAX, MSG,  CELL,  PAGER,  BBS,  MODEM,  CAR,  ISDN,  VIDEO,  
  AOL, INTERNET, APPLELINK, ATTMAIL, CIS, EWORLD, IBMMail, MCIMAIL, 
  POWERSHARE, PRODIGY, TLX, X400,
  SUB_BAD
} SubToken;


void import_init_item(RubricaItem *r);

void import_data(void);
void export_data(void);
TokenCard get_token(gchar *tkbuf);

void rubrica_import_open_file(gchar *file);

void rubrica_decode_buffer(gchar *buf);

TokenCard decode_token(gchar *str);
SubToken decode_subtoken(gchar *str);

void import_from_init(void);
void import_from_set(ImportFrom imp);
ImportFrom import_from_get(void);

void import_free_note(GList *n);
gchar *import_decode_note(GList *l);


gchar *import_get_string(gchar *buf);
void import_decode_string(char *buf, gchar *dec[7]);

#endif
